org.richfaces.renderkit

## Class SelectRendererBase

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.richfaces.renderkit.RendererBase
    - - org.richfaces.renderkit.InputRendererBase
      - - org.richfaces.renderkit.SelectRendererBase

- All Implemented Interfaces:
    MetaComponentRenderer
  Direct Known Subclasses:
    SelectRenderer

      public class SelectRendererBase
      extends InputRendererBase
      implements MetaComponentRenderer

  Author:
    abelevich, Brian Leathem

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ITEM_CSS`

    - ### Fields inherited from class javax.faces.render.Renderer

      `PASSTHROUGH_RENDERER_LOCALNAME_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SelectRendererBase()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `decodeMetaComponent(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, String metaComponentId)`
    `protected void` | `doDecode(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Template method for custom decoding of concrete renderer.
    `String` | `encodeHeightAndWidth(javax.faces.component.UIComponent component)`
    `void` | `encodeItems(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component, List<ClientSelectItem> clientSelectItems)`
    `void` | `encodeItemsContainer(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component, List<ClientSelectItem> clientSelectItems)`
    `void` | `encodeMetaComponent(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, String metaComponentId)`
    `JSReference` | `getClientFilterFunction(javax.faces.component.UIComponent component)`
    `List<ClientSelectItem>` | `getConvertedSelectItems(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
    `String` | `getListCss(javax.faces.component.UIComponent component)`
    `protected String` | `getListHeight(AbstractSelect select)`
    `protected String` | `getListWidth(AbstractSelect select)`
    `protected String` | `getMaxListHeight(AbstractSelect select)`
    `protected int` | `getMinCharsOrDefault(javax.faces.component.UIComponent component)`
    `protected String` | `getMinListHeight(AbstractSelect select)`
    `String` | `getSelectInputLabel(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
    `String` | `getSelectLabel(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
    `boolean` | `isAutocomplete(javax.faces.component.UIComponent component)`
    `protected void` | `preEncodeBegin(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
    `void` | `renderListHandlers(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`

    - ### Methods inherited from class org.richfaces.renderkit.InputRendererBase

      `getConvertedValue, getInputValue`

    - ### Methods inherited from class org.richfaces.renderkit.RendererBase

      `concatClasses, concatStyles, decode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getComponentClass, getResourcePath, getSkin, getUtils, isAlreadyRendered, preDecode, queueComponentEventForBehaviorEvent, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getRendersChildren`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ITEM_CSS

          public static final String ITEM_CSS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SelectRendererBase

          public SelectRendererBase()

  - ### Method Detail

    - #### getClientFilterFunction

          public JSReference getClientFilterFunction(javax.faces.component.UIComponent component)

    - #### doDecode

          protected void doDecode(javax.faces.context.FacesContext context,
                      javax.faces.component.UIComponent component)

      Description copied from class: `RendererBase`
      Template method for custom decoding of concrete renderer. All parameters checking if performed in original `RendererBase.decode(FacesContext, UIComponent)` method.
      Overrides:
        `doDecode` in class `InputRendererBase`

    - #### encodeMetaComponent

          public void encodeMetaComponent(javax.faces.context.FacesContext context,
                                 javax.faces.component.UIComponent component,
                                 String metaComponentId)
                                   throws IOException

      Specified by:
        `encodeMetaComponent` in interface `MetaComponentRenderer`
      Throws:
        `IOException`

    - #### decodeMetaComponent

          public void decodeMetaComponent(javax.faces.context.FacesContext context,
                                 javax.faces.component.UIComponent component,
                                 String metaComponentId)

      Specified by:
        `decodeMetaComponent` in interface `MetaComponentRenderer`

    - #### renderListHandlers

          public void renderListHandlers(javax.faces.context.FacesContext facesContext,
                                javax.faces.component.UIComponent component)
                                  throws IOException

      Throws:
        `IOException`

    - #### getConvertedSelectItems

          public List<ClientSelectItem> getConvertedSelectItems(javax.faces.context.FacesContext facesContext,
                                                       javax.faces.component.UIComponent component)

    - #### getSelectInputLabel

          public String getSelectInputLabel(javax.faces.context.FacesContext facesContext,
                                   javax.faces.component.UIComponent component)

    - #### getMinListHeight

          protected String getMinListHeight(AbstractSelect select)

    - #### getMaxListHeight

          protected String getMaxListHeight(AbstractSelect select)

    - #### getListHeight

          protected String getListHeight(AbstractSelect select)

    - #### getListWidth

          protected String getListWidth(AbstractSelect select)

    - #### encodeHeightAndWidth

          public String encodeHeightAndWidth(javax.faces.component.UIComponent component)

    - #### getListCss

          public String getListCss(javax.faces.component.UIComponent component)

    - #### getSelectLabel

          public String getSelectLabel(javax.faces.context.FacesContext facesContext,
                              javax.faces.component.UIComponent component)

    - #### isAutocomplete

          public boolean isAutocomplete(javax.faces.component.UIComponent component)

    - #### encodeItemsContainer

          public void encodeItemsContainer(javax.faces.context.FacesContext facesContext,
                                  javax.faces.component.UIComponent component,
                                  List<ClientSelectItem> clientSelectItems)
                                    throws IOException

      Throws:
        `IOException`

    - #### encodeItems

          public void encodeItems(javax.faces.context.FacesContext facesContext,
                         javax.faces.component.UIComponent component,
                         List<ClientSelectItem> clientSelectItems)
                           throws IOException

      Throws:
        `IOException`

    - #### preEncodeBegin

          protected void preEncodeBegin(javax.faces.context.FacesContext facesContext,
                            javax.faces.component.UIComponent component)
                                 throws IOException

      Overrides:
        `preEncodeBegin` in class `RendererBase`
      Throws:
        `IOException`

    - #### getMinCharsOrDefault

          protected int getMinCharsOrDefault(javax.faces.component.UIComponent component)

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.